Rails.application.routes.draw do
  get 'votes/vote', to: 'votes#vote', as: 'vote'
  post 'votes/do', to: 'votes#submit', as: 'submit'
  post 'sessions/create', to: 'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', as: 'logout', via: [:get, :delete]
  resources :candidates
  get 'users/new', to: 'users#new', as: 'register'
  post 'users/create', to: 'users#create', as: 'create_user' 
  get 'users/edit/:id', to: 'users#edit', as: 'profile'
  put 'users/update/:id', to: 'users#update', as: 'update_profile'
  get 'users/forgotten', to: 'users#forgotten', as: 'forgotten'
  post 'users/send_forgotten', to: 'users#send_forgotten', as: 'send_forgotten'
  resources :parties do # only: [] vagy #except: []
    get 'page/:page', on: :collection, to: 'parties#index', as: 'page'
    get 'logo', on: :member, to: 'parties#logo', as: 'logo'
#    post 'upload', on: :member, to: 'parties#upload_logo', as: 'upload_logo'
  end
  # get 'parties', to: 'parties#index', as: 'parties'
  # get 'parties/:id', to: 'parties#show', as: 'party'
  # delete 'parties/:id', to: 'parties#destroy'
  # get 'parties/new', to: 'parties#new', as: 'new_party'
  # post 'parties', to: 'parties#create'
  # put 'parties/:id', to: 'parties#update', as: 'update_party'
  # get 'parties/:id/edit, to: 'parties#edit', as: 'edit_party'

  # resources :parties do
  #  get 'nuke', on: :member, to: 'parties#nuke'
  #  get 'nuke', on: :collection, to: 'parties#nuke_all'
  # end

  get 'say/hello', to: 'say#hello', as: 'hello'
  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html

  # Defines the root path route ("/")
  # root "articles#index"
end
