# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[7.0].define(version: 2022_05_03_112041) do
  create_table "addresses", charset: "utf8mb4", force: :cascade do |t|
    t.string "city"
    t.string "street"
    t.integer "zip"
    t.float "lat"
    t.float "lng"
    t.string "addr_type"
    t.bigint "addr_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["addr_type", "addr_id"], name: "index_addresses_on_addr"
  end

  create_table "candidates", charset: "utf8mb4", force: :cascade do |t|
    t.string "name"
    t.bigint "party_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["party_id"], name: "index_candidates_on_party_id"
  end

  create_table "districts", charset: "utf8mb4", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "lists", charset: "utf8mb4", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "logos", charset: "utf8mb4", force: :cascade do |t|
    t.string "name"
    t.integer "size"
    t.string "mime"
    t.string "path"
    t.bigint "party_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["party_id"], name: "index_logos_on_party_id"
  end

  create_table "parties", charset: "utf8mb4", force: :cascade do |t|
    t.string "name"
    t.string "abbreviation"
    t.string "account"
    t.boolean "active"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "list_id"
    t.index ["list_id"], name: "index_parties_on_list_id"
  end

  create_table "users", charset: "utf8mb4", force: :cascade do |t|
    t.string "name"
    t.string "email"
    t.string "encrypted_password"
    t.string "idnum"
    t.datetime "birthdate"
    t.string "account"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "salt"
  end

  create_table "votes", charset: "utf8mb4", force: :cascade do |t|
    t.bigint "user_id", null: false
    t.bigint "district_id", null: false
    t.bigint "list_id", null: false
    t.bigint "candidate_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["candidate_id"], name: "index_votes_on_candidate_id"
    t.index ["district_id"], name: "index_votes_on_district_id"
    t.index ["list_id"], name: "index_votes_on_list_id"
    t.index ["user_id"], name: "index_votes_on_user_id"
  end

  add_foreign_key "candidates", "parties"
  add_foreign_key "logos", "parties"
  add_foreign_key "parties", "lists"
  add_foreign_key "votes", "candidates"
  add_foreign_key "votes", "districts"
  add_foreign_key "votes", "lists"
  add_foreign_key "votes", "users"
end
